Bug 468292 - Input lost in some apps while using SCIM
Input lost in some apps while using SCIM
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-23 18:05 EDT by Aniket
Modified: 2009-06-24 03:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-24 03:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aniket 2008-10-23 18:05:31 EDT
Description of problem:
I have enables scim as input method . I use KDE 4 on fedora 9 with the latest updates. I have noticed that , randomly applications lost keyboard input, ie I cannot type in the applications. To get back to typing in those application again , I have to minimise the window and restore it again . Sometimes even that does not help, and I have to restart the application. This problem I have observed most with Opera (I use it as my default browser) , Kickoff Menu, Kopete chat windows , Yakuake terminal , and Thunderbird.   

Version-Release number of selected component (if applicable):

How reproducible:
Very Often

Steps to Reproduce:
1.Enable scim as input method
2.Try to use keyboard
Actual results:Keyboard input frozen for the application. (eg ctrl+tab or ctrl+L doesnt work with Opera)

Expected results:Keyboard should behave normally

Additional info:
Comment 1 Aniket 2008-10-23 18:24:02 EDT
OK, I found a similar issue, if it is of any help . . 
Comment 2 Aaron Lu 2008-10-29 01:39:11 EDT
Hi, I found this problem too and filed a bug report several days ago, https://bugzilla.redhat.com/show_bug.cgi?id=468154.
The solution for me is to install scim-bridge-gtk. Since you use kde, I guess you might install scim-bridge-qt and see if this could solve your problem.
Comment 3 Aniket 2008-10-29 02:11:46 EDT
Hmm..I have problems with scim-bridge as I had reported in 

So I set /FrontEnd/X11/Dynamic from false to true and it seems to have solved the problem for me right now. I will keep monitoring it and report back .
Comment 4 Skippy 2008-12-23 07:10:01 EST
Confirmed on F10. Everything works fine for a while except that keyboard input won't work if you switch between some apps (more info here : http://bugzilla.gnome.org/show_bug.cgi?id=564888), then after a while gnome-terminal input will work only for a few letters. I mean, you will be able to write 1 to 10 letters only, then nothing.

Some keys work though : Alt-PgUp and Alt PgDown still allow to switch between tabs, and switching between tabs will allow you to input letters again. Well, a few letters…
Comment 5 Jens Petersen 2009-01-05 01:40:27 EST
There is no mention of compiz here.  

Are you sure
> http://bugzilla.gnome.org/show_bug.cgi?id=564888
is the same issue?
Comment 6 Jens Petersen 2009-01-05 02:11:46 EST
Hmm, according to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437437 upstream libX11-1.1.4 should have fixed this bug, but that seems not to be the case since libX11-1.1.4 was part of the f9 release (unless our package does something different).
Comment 7 Skippy 2009-01-05 04:55:59 EST
(In reply to comment #5)
> There is no mention of compiz here.  
> Are you sure
> > http://bugzilla.gnome.org/show_bug.cgi?id=564888
> is the same issue?

No, I am not, since in addition I am using Gnome and not KDE. If I had been sure I wouldn't have file a new bug report. ;)

So I just meant these bugs might be related.
Comment 8 Bug Zapper 2009-06-09 23:03:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Jens Petersen 2009-06-24 01:46:36 EDT
Is this still a problem?
Comment 10 Aniket 2009-06-24 03:58:13 EDT
Well, I no longer have this problem with scim. We can close this bug

Note You need to log in before you can comment on or make changes to this bug.